View Issue Details

IDProjectCategoryView StatusLast Update
0000264Bacula-Webbug-phppublic2018-10-09 05:49
Reportermarcio fozAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSDebianOS Version8.0 (Jessie)
Product Version8.0.1 
Target Version8.1.0Fixed in Version8.1.0 
Summary0000264: Only see volume status icon when status is append
DescriptionIn Bacula web (8.0.1) -> volumes report (Bacula volume(s) overview), I only see status icon for volumes with status = append, is it correct ?

I'm using Bacula 9.0.8, Fedora 28, MySql Community 5.7 and Nginx
Additional InformationVolume status icon should be different for volumes with status below

 - Full
 - Archive
 - Append
 - Recycle
 - Read-only
 - Disabled
 - Error
 - Busy
TagsNo tags attached.

Activities

davide

2018-09-09 08:32

manager  

davide

2018-09-09 08:36

manager   ~0000843

Expected result

davide

2018-09-09 08:56

manager   ~0000845

Can you run this SQL query and give me the output please ?

SELECT DISTINCT Media.volstatus FROM Media;

marcio foz

2018-09-09 21:33

reporter   ~0000846

mysql> select distinct Media.volstatus from Media;
+-----------+
| volstatus |
+-----------+
| Used |
| Append |
| Purged |
+-----------+
3 rows in set (0,00 sec)

davide

2018-09-10 11:04

manager   ~0000847

Thanks for your feedback

Volume with status "Used" and "Purged" are missing, I'll fix it for next release

davide

2018-10-09 05:46

manager   ~0000863

Problem fixed, the bug fix will be included in next release (8.1.0).

Issue History

Date Modified Username Field Change
2018-09-09 08:32 davide New Issue
2018-09-09 08:32 davide Status new => assigned
2018-09-09 08:32 davide Assigned To => davide
2018-09-09 08:32 davide File Added: Captura de tela de 2018-09-06 08-40-00.png
2018-09-09 08:35 davide Reporter davide => marcio foz
2018-09-09 08:35 davide File Added: Captura de tela de 2018-09-06 15-18-53.png
2018-09-09 08:36 davide File Deleted: Captura de tela de 2018-09-06 15-18-53.png
2018-09-09 08:36 davide File Added: Screen Shot 2018-09-06 at 17.58.28.png
2018-09-09 08:36 davide Note Added: 0000843
2018-09-09 08:56 davide Status assigned => feedback
2018-09-09 08:56 davide Note Added: 0000845
2018-09-09 21:33 marcio foz Note Added: 0000846
2018-09-09 21:33 marcio foz Status feedback => assigned
2018-09-10 11:04 davide Note Added: 0000847
2018-10-09 05:46 davide Note Added: 0000863
2018-10-09 05:47 davide Status assigned => resolved
2018-10-09 05:47 davide Resolution open => fixed
2018-10-09 05:47 davide Fixed in Version => 8.1.0
2018-10-09 05:49 davide Category bug => bug-php